<?php 

// Get Project path
define('_PATH', dirname(__FILE__));

// Unzip file
if(isset($_POST['unzip1'])){
    
    // Zip file name
    $filename = 'zipfile.zip';
    $zip = new ZipArchive;
    $res = $zip->open($filename);
    if ($res === TRUE) {
        // Unzip path
        $path = _PATH."/files/";

        // Extract file
        $zip->extractTo($path);
        $zip->close();

        echo 'Unzip!';
    } else {
        echo 'failed!';
    }
}

// Unzip selected zip file
if(isset($_POST['unzip2'])){
    $filename = $_FILES['file']['name'];

    // Get file extension
    $ext = pathinfo($filename, PATHINFO_EXTENSION);

    $valid_ext = array('zip');

    // Check extension
    if(in_array(strtolower($ext),$valid_ext)){
        $tmp_name = $_FILES['file']['tmp_name'];

        $zip = new ZipArchive;
        $res = $zip->open($tmp_name);
        if ($res === TRUE) {

            // Unzip path
            $path = _PATH."/files/";

            // Extract file
            $zip->extractTo($path);
            $zip->close();

            echo 'Unzip!';
        } else {
            echo 'failed!';
        }
    }else{
        echo 'Invalid file';
    }
   
}
?>
<!doctype html>
<html>
    <head>
      <title>Extract the Zip file with PHP</title> 
    </head>
    <body>
        
            
            <form method='post' action='' enctype='multipart/form-data'>
                <!-- Unzip specified zip file -->
                <input type='submit' name='unzip1' value='Unzip1' />&nbsp;<br/><br/>

                <!-- Unzip selected zip file -->
                <input type='file' name='file'><br/>
                <input type='submit' name='unzip2' value='Unzip2' />
            </form>
       
    </body>
</html>